Package wx :: Class Sound

[frames | no frames]

## Type Sound

    object --+
             |
            Sound

Proxy of C++ Sound class

Method Summary
Sound | `__init__(self, fileName)`
| `__del__(self)`
| `__nonzero__(self)`
bool | `Create(self, fileName)`
bool | `CreateFromData(self, data)`
bool | `IsOk(self)`
| ``Play`(*args, **kwargs)` Play(self, unsigned int flags=SOUND_ASYNC) -> bool
| ``PlaySound`(*args, **kwargs)` PlaySound(String filename, unsigned int flags=SOUND_ASYNC) -> bool (Static method)
| `Stop()` (Static method)

Property Summary
| `thisown`: The membership flag

Instance Method Details

### Play(*args, **kwargs)

Play(self, unsigned int flags=SOUND_ASYNC) -> bool

Static Method Details

### PlaySound(*args, **kwargs)

PlaySound(String filename, unsigned int flags=SOUND_ASYNC) -> bool

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:30 2007 | http://epydoc.sf.net